Skip to content

Prompt Card Read

Request

This function is used to prompt a P2PE-enabled, Commerce Engine or UTG controlled PIN pad to request a pass-through card swipe, causing the output of the swipe to be returned directly to the interface without any action or validation by Shift4 or the processor.

Integration Methods:

  • Locally Installed UTG
  • Commerce Engine For On Premise
  • Commerce Engine For Cloud

See the Integration Methods and URLs Section sections of the Development Quick Start guide for details regarding each processing option.

Security
AccessToken
Headers
InterfaceVersionstring, <= 11 charactersrequired

Refers to the version of the program or application that is sending requests to Shift4. The following special characters are not allowed: $ % : ^ - ~ < > , ? “ ” ‘ ’ { } [ ] \ + =

Example:2.1
InterfaceNamestring, <= 25 charactersrequired

Refers to the name of the program or application that is sending requests to Shift4. This should be the name of the program that you purchased or created. The following special characters are not allowed: $ % : ^ - ~ ` < > , ? “ ” ‘ ’ { } [ ] \ + =

Example:ForwardPOS
CompanyNamestring, <= 26 charactersrequired

Refers to the vendor or partner that designed and certified the interface. The information you use in this field should match what Shift4 has on file or what was agreed upon in your Integration Plan. The following special characters are not allowed: $ % : ^ - ~ ` < > , ? “ ” ‘ ’ { } [ ] \ + =

Example:PAWS
AccessTokenstring, (uuid), <= 52 charactersrequired

A security credential used to authenticate API requests and all i4Go® authorizeClient/preauthorizeClient requests. An Access Token is the alias for the merchant account and interface being used. The Access Token is required in all requests except an Access Token Exchange request, which generates an Access Token using an authToken and clientGuid.

Example:EA79FB05-3AA7-4500-AF9A-73F986FF2C1D
Bodyapplication/jsonrequired
One of:
dateTimestring, (ISO 8601)required

The date and time in ISO 8601 format including the timezone offset (yyyy-mm-ddThh:mm:ss.nnn+hh:mm).

Must be sent as the local date/time of the merchant. For example, a request processed at a merchant in the Pacific time zone at 9:18am on April 15th 2021 would be sent as 2021-04-15T09:18:23.283-07:00

Example:"2024-05-21T09:18:23.283-07:00"
apiOptionsArray of stringswrite-only

API Options modify the request being made. See the API Options section for more information.

Example:
[ "RETURNEXPDATE", "ALLOWPARTIALAUTH" ]
deviceobject
uiobject
volumeobject
timeoutnumber

Optional field that will set the timeout value in seconds.

Sending 0 will set an indefinite timeout that can only be cancelled by sending a /devices/reset request. Commerce Engine will use its default value if not sent.

Example:0
POST
/devices/promptcardread
{ "dateTime": "2024-05-21T09:18:23.283-07:00" }

Responses

Request was processed

Bodyapplication/json
One of:
resultArray of objects
Response
{ "result": [ { "dateTime": "2024-05-21T09:18:23.283-07:00", "card": { "entryMode": "2", "expirationDate": 643, "number": "0001366477393106", "trackData": ";0001366477393106=430692960042575?" }, "server": { "name": "Commerce Engine K" } } ] }